{% extends 'dataview.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block pageTitle "Liste des superadmin de l'application" %}

{% block pageActions %}
    {{ macro.addButton('app_superadmin_add', 'Ajout', 'text-left') }}

    <br>

    <div class="row col-md-12">
        {{ macro.btnActivatedMultipleWithModal(
            'btn_activatedmultiple',
            'Activé plusieurs superadmins',
            'app_superadmin_toggle',
            'Voulez-vous vraiment activé ces superadmins ?',
            users.currentPageNumber
        ) }}

        {{ macro.btnDeactivatedMultipleWithModal(
            'btn_deactivatedmultiple',
            'Désactivé plusieurs superadmins',
            'app_superadmin_toggle',
            'Voulez-vous vraiment désactivé ces superadmins ?',
            users.currentPageNumber
        ) }}
    </div>
{% endblock %}

{% block pageTable %}
    <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th scope="col">
                    <input id="allCheckbox" type="checkbox"/>
                </th>
                <th scope="col">Etat</th>
                <th scope="col">Utilisateur</th>
                <th scope="col">Identifiant</th>
                <th scope="col">Profil</th>
                <th scope="col">Actions</th>
            </tr>
        </thead>
        <tbody>
            {% for user in users %}
                <tr>
                    <th>
                        {% if (app.user != user) %}
                            {% if (user.isActive == false) %}
                                {% set activeruser = 'true' %}
                                {% set desactiveruser = 'false' %}
                            {% else %}
                                {% set activeruser = 'false' %}
                                {% set desactiveruser = 'true' %}
                            {% endif %}

                            <input id='checkbox-{{ user.id }}' type="checkbox"
                                   class="js-checkbox allCheckbox" value="{{ user.id }}"
                                   data-activatedmultiple="{{ activeruser }}"
                                   data-deactivatedmultiple="{{ desactiveruser }}">
                        {% endif %}
                    </th>
                    <th>
                        {% if (app.user != user) %}
                            {{ macro.toggleButton(
                                'app_superadmin_toggle',
                                user.id,
                                user.isActive,
                                users.currentPageNumber
                            ) }}
                        {% endif %}
                    </th>
                    <th>
                        {{ user.nomcomplet }}
                    </th>
                    <th>
                        {{ user.username }}
                    </th>
                    <th>
                        {% for organisations in user.organisationUserRoles %}
                            {{ organisations.role.name }}
                        {% endfor %}
                    </th>
                    <th>
                        {% if (user.isActive == true) %}
                            {{ macro.btnReloadPasswordWithModal(
                                user.id,
                                'Réinitialisation du mot de passe de l\'utilisateur',
                                'app_superadmin_reload_password',
                                'Voulez-vous vraiment activé la procédure de réinitialisation du mot de passe de l\'utilisateur ?',
                                users.currentPageNumber
                            ) }}

                            {{ macro.editButton('app_superadmin_edit', user.id) }}
                        {% else %}
                            {{ macro.deleteButtonModal(
                                user.id,
                                'Suppression d\'un superadmin',
                                'app_superadmin_delete',
                                'Voulez-vous vraiment supprimer le superadmin ?',
                                users.currentPageNumber
                            ) }}
                        {% endif %}

                        {{ macro.showButton('app_superadmin_show', user.id) }}
                    </th>
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock %}

{% block pagePagination knp_pagination_render(users) %}

{% block javascripts %}
    {{ encore_entry_script_tags('selectAllCheckbox') }}
{% endblock %}